@charset "UTF-8"; /**
 * Site header
 */
.site-header {
    border-top: 0px solid #424242;
    border-bottom: 4px solid #500516;
    min-height: 56px;
    background: #e7e7e7;
    position: relative;
}

.site-title {
    font-size: 26px;
    /* 		margin-top: 15px;
      line-height: 40px; */
    letter-spacing: -1px;
    margin-bottom: 0;
    float: left;
    font-weight: 500;
    font-family: 'Titillium Web', sans-serif;
    color: #000000;
}

.site-title, .site-title:visited {
    color: #000000;
}

.site-title, .site-title:hover {
    text-decoration: none;
}

.site-header .wrapper {
    padding-top: 20px;
    position: relative;
}

.site-nav ul li a {
    color: #fff;
}

.site-nav ul {
    /*text-align: center;*/
    float: left;
    padding-top: 9px;
    font-size: 85%;
    letter-spacing: 1px;
    line-height: 1em;
    font-weight: 600;
    margin: 0;
    padding: 0;
    list-style-type: none;
    text-transform: uppercase;
    font-family: 'Titillium Web', sans-serif;
}

.site-nav .menu > li {
    border-bottom: 3px solid transparent;
    display: inline-block;
    height: 23px;
    line-height: normal;
    margin: 12px 0 0 20px;
    padding: 0 0 2px 0;
    position: relative;
    vertical-align: top;
}

.site-nav a {
    display: block;
    color: #ffffff;
}

/* Sub Menu */
.site-nav .sub-menu a {
    display: block;
    font-weight: normal;
    height: auto;
    letter-spacing: 0;
    line-height: 1.2em;
    padding: 4px 10px;
    color: #500516;
}

.site-nav .sub-menu a:hover {
    color: #e7e7e7;
}

.site-nav .sub-menu {
    background: #ffffff;
    border-color: #e7e7e7;
    min-width: 265px;
    z-index: 2147483647;
}

.site-nav .sub-menu li.current-menu-item > a {
    border-left-color: #e7e7e7;
    border-right-color: #e7e7e7;
    border-right: 0px;
}

.sub-menu {
    border: 3px solid transparent;
    border-top: 0;
    /* bg and border colors set in header */
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.4);
    -moz-box-shadow: 0 2px 2px rgba(0, 0, 0, 0.4);
    -webkit-box-shadow: 0 2px 2px rgba(0, 0, 0, 0.4);
    display: none;
    right: -10px;
    padding: 4px 0 3px 0;
    position: absolute;
    text-align: left;
    text-transform: none;
    top: 28px;
    min-width: 265px;
    z-index: 999;
    font-family: Helvetica, Arial, Verdana, sans-serif;
}

.sub-menu li {
    border-bottom: 0;
    display: block;
    height: auto;
    margin: 3px 0;
    padding: 0;
    text-align: left;
}

.site-nav li:hover > .sub-menu {
    display: block;
}

.site-nav h1 {
    position: absolute;
    left: -999em;
}

.site-nav {
    line-height: 40px;
}

.site-nav .menu-icon {
    display: none;
}

.site-nav .page-link {
    color: #000000;
    /*background: #222222;*/
    line-height: 1.5;
}

.site-nav .page-link:not(:first-child) {
    margin-left: 20px;
}

@media screen and (max-width: 600px) {
    .site-nav {
        position: absolute;
        top: 95px;
        right: 15px;
        background-color: #000000;
        /*border: 1px solid #222222;*/
        border-radius: 5px;
        text-align: right;
    }

    .site-nav .menu-icon {
        display: block;
        float: right;
        width: 36px;
        height: 26px;
        line-height: 0;
        padding-top: 10px;
        text-align: center;
    }

    .site-nav .menu-icon > svg {
        width: 18px;
        height: 15px;
    }

    .site-nav .menu-icon > svg path {
        fill: #424242;
    }

    .site-nav .trigger {
        clear: both;
        display: none;
    }

    .site-nav:hover .trigger {
        display: block;
        padding-bottom: 5px;
    }

    .site-nav .page-link {
        display: block;
        padding: 5px 10px;
    }
}

@media only screen and (max-width: 600px) {
    .site-nav h1 {
        border-bottom: 3px solid transparent;
        cursor: pointer;
        display: none;
        /* Standard. IE8+, Saf, FF3+ */
        height: 23px;
        left: auto;
        margin-top: 10px;
        position: static;
        white-space: nowrap;
    }

    .site-nav .menu {
        border: 3px solid transparent;
        border-top: 0;
        /* bg and border colors set in header */
        -moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.8);
        -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.8);
        box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.8);
        /* Hide until activated */
        display: block;
        left: -3px;
        min-width: 215px;
        /*		margin-top: 36px; */
        padding: 4px 0;
        position: relative;
        right: -3px;
        z-index: 999;
    }

    .site-nav .menu.open {
        display: block;
    }

    .site-nav .menu li {
        display: block;
        margin: 0;
        color: #500516;
    }

    .site-nav ul.menu a {
        background: #fff;
        color: #500516;
    }

    .site-nav a, .site-nav li.current-menu-item > a {
        padding: 4px 10px;
    }

    .site-nav .menu > li {
        height: auto;
        text-align: left;
    }

    .site-nav .sub-menu {
        border: 0;
        -moz-box-shadow: none;
        /* FF3.5+ */
        -webkit-box-shadow: none;
        /* Saf3+, Chrome */
        box-shadow: none;
        /* Standard. Opera 10.5, IE9 */
        display: block;
        font-family: 'Titillium Web', Helvetica, Arial, Verdana, sans-serif;
        position: relative;
        min-width: 215px;
        max-width: 215px;
        top: auto;
        text-transform: uppercase;
        right: auto;
        width: auto;
    }

    .site-nav .sub-menu {
        padding-left: 16px;
    }

    .site-nav .sub-menu li.current-menu-item > a {
        border: 0;
    }
}

/**
 * Reset some basic elements
 */
body, h1, h2, h3, h4, h5, h6, p, blockquote, pre, hr, dl, dd, ol, ul, figure {
    margin: 0;
    padding: 0;
}

/**
 * Basic styling
 */
body {
    font-family: "Open Sans", Helvetica, Arial, sans-serif;
    font-size: 0.95em;
    line-height: 1.5;
    font-weight: 300;
    color: #111;
    background-color: #fdfdfd;
    -webkit-text-size-adjust: 100%;
}

/**
 * Set `margin-bottom` to maintain vertical rhythm
 */
h1, h2, h3, h4, h5, h6, p, blockquote, pre, ul, ol, dl, figure {
    margin-bottom: 15px;
}

/**
 * Images
 */
img {
    max-width: 100%;
    vertical-align: middle;
}

/**
 * Figures
 */
figure > img {
    display: block;
}

figcaption {
    font-size: 0.83125em;
}

/**
 * Lists
 */
ul, ol {
    margin-left: 30px;
}

li > ul, li > ol {
    margin-bottom: 0;
}

/**
 * Headings
 */
h1, h2, h3, h4, h5, h6 {
    font-weight: 200;
}

/**
 * Links
 */
a {
    color: #0077CC;
    text-decoration: none;
}

a:visited {
    /*    color: darken($brand-color, 15%); */
}

a:hover {
    color: #111;
    text-decoration: underline;
}

/* .post-content a, .home a {
	font-weight: 500;
} */
/**
 * Blockquotes
 */
blockquote {
    color: #828282;
    border-left: 4px solid #e8e8e8;
    padding-left: 15px;
    font-size: 18px;
    letter-spacing: -1px;
    font-style: italic;
}

blockquote > :last-child {
    margin-bottom: 0;
}

/**
 * Code formatting
 */
pre, code {
    font-size: 14px;
    border: 1px solid #e8e8e8;
    border-radius: 3px;
    background-color: #eef;
}

code {
    padding: 1px 5px;
}

pre {
    padding: 8px 12px;
    overflow-x: scroll;
}

pre > code {
    border: 0;
    padding-right: 0;
    padding-left: 0;
}

/**
 * Wrapper
 */
.wrapper {
    max-width: -webkit-calc(950px - (30px * 2));
    max-width: calc(950px - (30px * 2));
    margin-right: auto;
    margin-left: auto;
    padding-right: 30px;
    padding-left: 30px;
}

@media screen and (max-width: 950px) {
    .wrapper {
        max-width: -webkit-calc(950px - (30px));
        max-width: calc(950px - (30px));
        padding-right: 15px;
        padding-left: 15px;
    }
}

/**
 * Clearfix
 */
.wrapper:after, .footer-col-wrapper:after {
    content: "";
    display: table;
    clear: both;
}

/**
 * Icons
 */
.icon > svg {
    display: inline-block;
    width: 16px;
    height: 16px;
    vertical-align: middle;
}

.icon > svg path {
    fill: #828282;
}

a.tosu {
    color: #b00000;
    background: #f5f5f5;
    text-decoration: none;
    padding: 2px;
    font-weight: 600;
    font-family: 'Capita', Georgia, serif;
}

.container {
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 10px;
    padding-right: 10px;
}

.responsive-table li {
    border-radius: 3px;
    padding: 25px 30px;
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
}

.responsive-table .raw_li {
    display: list-item !important;
    margin: 0 !important;
    padding: 0 !important;
}

.responsive-table .table-header {
    color: #003555;
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 0.03em;
}

.responsive-table .table-row {
    background-color: #ffffff;
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.1);
}

.responsive-table .table-row-assignment {
    background-color: #d9edf7;
}

.responsive-table .table-row-due {
    background-color: #e6ebfc;
}

.responsive-table .table-row-exam {
    background-color: #f2dede;
}

.responsive-table .table-row-quiz {
    background-color: #dfffdc;
}

.responsive-table .table-row-cls_assignment {
    background-color: #ffe8f1;
}

.responsive-table .col-1 {
    padding: 2px;
    flex-basis: 10%;
}

.responsive-table .col-1-2 {
    text-align: center;
    padding: 2px 10px;
    flex-basis: 20%;
}

.responsive-table .col-2 {
    padding: 2px;
    flex-basis: 20%;
}

.responsive-table .col-3 {
    padding: 2px;
    flex-basis: 25%;
}

.responsive-table .col-4 {
    padding: 2px;
    padding-left: 20px;
    flex-basis: 50%;
}

.responsive-table .col-4 ul {
    margin-bottom: 0;
}

@media all and (max-width: 767px) {
    .responsive-table .table-header {
        display: none;
    }

    .responsive-table li {
        display: block;
    }

    .responsive-table .col {
        flex-basis: 100%;
    }

    .responsive-table .col {
        display: block;
        padding: 10px 0;
    }

    .responsive-table .col:before {
        color: #6C7A89;
        padding-right: 10px;
        content: attr(data-label);
        flex-basis: 50%;
        text-align: right;
    }

    .responsive-table .col-1 {
        display: block;
        padding: 10px 0;
    }

    .responsive-table .col-1:before {
        content: none;
    }

    .responsive-table .col-4 {
        padding: 0;
    }

    .responsive-table .col-4:before {
        content: none;
    }

    .responsive-table .col-1-2 {
        text-align: left;
    }

    .responsive-table .date-spliter {
        display: none;
    }
}

.no-p-margin p {
    margin-bottom: 0;
}

.profile-pic-gallary {
    padding: 0px;
    display: inline;
}

.list-profile-professor .image--cover-container {
    width: 115px;
    float: left;
    text-align: center;
    margin: 0px 15px;
}

.list-profile-teaching .image--cover-container {
    width: 90px;
    float: left;
    text-align: center;
    margin: 0px 15px;
}

@media (max-width: 768px) {
    .image--cover-container {
        width: 100%;
    }
}

@media screen and (min-width: 1280px) and (max-width: 1536px) {
    .image--cover-container {
        width: 125px !important;
        margin: 0px 3px !important;
    }
}

@media screen and (min-width: 1536px) and (max-width: 1920px) {
    .image--cover-container {
        width: 125px !important;
        margin: 0px 3px !important;
    }
}

.image--cover {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    margin-bottom: 10px;
    object-fit: cover;
    object-position: center right;
}

.announcement-box {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;
    background-color: #e7e7e7;
    border-color: #3a3a3a;
}

.center-cropped {
    width: 100px;
    height: 60px;
    background-repeat: no-repeat;
    overflow: hidden;
    border: 2px solid #0077CC;
    border-radius: 5%;
    margin-right: 10px;
    background-position: center;
    background-size: contain;
}

/* Set the image to fill its parent and make transparent */
.center-cropped img {
    max-height: 100%;
    max-width: 100%;
    /* IE 8 */
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    /* IE 5-7 */
    filter: alpha(opacity=0);
    /* modern browsers */
    opacity: 0;
}

.lecture-container {
    display: flex;
    width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
}

.lecture-container .thumbnail {
    width: 120px;
}

.lecture-container .content {
    flex: 1;
}

.previous-offerings {
    list-style-type: none;
}

.previous-offerings li {
    display: inline-block;
    margin-right: 10px;
}

.previous-offerings li::before {
    content: "● ";
    color: black;
    padding-right: 5px;
}

/* .site-nav {
    float: right;
    line-height: 40px;
		margin-top: 15px;

    .menu-icon {
        display: none;
    }

    .page-link {
        color: #ffffff;
    background: black;
        line-height: $base-line-height;

        // Gaps between nav items, but not on the first one
        &:not(:first-child) {
            margin-left: 20px;
        }
    }



    @include media-query($on-palm) {
        position: absolute;
        top: 9px;
        right: 30px;
        background-color: $background-color;
        border: 1px solid $grey-color-light;
        border-radius: 5px;
        text-align: right;

        .menu-icon {
            display: block;
            float: right;
            width: 36px;
            height: 26px;
            line-height: 0;
            padding-top: 10px;
            text-align: center;

            > svg {
                width: 18px;
                height: 15px;

                path {
                    fill: $grey-color-dark;
                }
            }
        }

        .trigger {
            clear: both;
            display: none;
        }

        &:hover .trigger {
            display: block;
            padding-bottom: 5px;
        }

        .page-link {
            display: block;
            padding: 5px 10px;
        }
    }
}
*/
/**
 * Site footer
 */
.site-footer {
    border-top: 1px solid #e8e8e8;
    padding: 30px 0;
}

.footer-heading {
    font-size: 18px;
    margin-bottom: 15px;
}

.contact-list, .social-media-list {
    list-style: none;
    margin-left: 0;
}

.footer-col-wrapper {
    font-size: 15px;
    color: #828282;
    margin-left: -15px;
}

.footer-col {
    float: left;
    margin-bottom: 15px;
    padding-left: 15px;
}

.footer-col-1 {
    width: -webkit-calc(25% - (30px / 2));
    width: calc(25% - (30px / 2));
}

.footer-col-2 {
    width: -webkit-calc(50% - (30px / 2));
    width: calc(50% - (30px / 2));
}

.footer-col-3 {
    width: -webkit-calc(25% - (30px / 2));
    width: calc(25% - (30px / 2));
}

@media screen and (max-width: 950px) {
    .footer-col-1, .footer-col-2 {
        width: -webkit-calc(50% - (30px / 2));
        width: calc(50% - (30px / 2));
    }

    .footer-col-3 {
        width: -webkit-calc(100% - (30px / 2));
        width: calc(100% - (30px / 2));
    }
}

@media screen and (max-width: 600px) {
    .footer-col {
        float: none;
        width: -webkit-calc(100% - (30px / 2));
        width: calc(100% - (30px / 2));
    }
}

/**
 * Page content
 */
.page-content {
    padding: 30px 0;
}

.page-heading {
    font-size: 20px;
}

.post-list {
    margin-left: 0;
    list-style: none;
}

.post-list > li {
    margin-bottom: 30px;
}

.post-meta {
    font-size: 0.83125em;
    color: #828282;
}

.post-link {
    display: block;
    font-size: 24px;
}

/**
 * Posts
 */
.post-header {
    margin-bottom: 30px;
}

h1 {
    /*    font-size: 42px; */
    letter-spacing: -1px;
    line-height: 1;
    font-family: 'Titillium Web', sans-serif;
    color: #500516;
}

@media screen and (max-width: 950px) {
    h1 {
        /*        font-size: 36px; */
    }
}

.post-content {
    margin-bottom: 30px;
}

.post-content h2 {
    font-family: 'Titillium Web', sans-serif;
    font-weight: 500;
    /*        font-size: 32px; */
}

@media screen and (max-width: 950px) {
    .post-content h2 {
        /*            font-size: 28px; */
    }
}

.post-content h3 {
    font-style: italic;
    /*        font-size: 26px; */
}

@media screen and (max-width: 950px) {
    .post-content h3 {
        /*            font-size: 22px; */
    }
}

.post-content h4 {
    /*       font-size: 20px; */
}

@media screen and (max-width: 950px) {
    .post-content h4 {
        /*            font-size: 18px; */
    }
}

.footnotes ol li {
    list-style-type: decimal;
}

.footnotes ol {
    font-size: .85em;
    color: #666666;
}

html {
    overflow-y: scroll;
}

ul.listing {
    list-style-type: none;
    margin-left: 0px;
}

ul.listing li.listing-seperator {
    padding-top: 15px;
    font-weight: bold;
    font-family: 'Titillium Web', sans-serif;
    font-size: 1.17em;
}

ul.listing li.listing-item time {
    color: #333;
    font-weight: 500;
    text-transform: uppercase;
    padding-right: 10px;
}

ul.listing li.listing-item a {
    color: #e7e7e7;
    font-weight: 400;
    font-family: 'Titillium Web', sans-serif;
}

/*------ archive type stuff ------ */
ul#archive {
    list-style-type: none;
    margin: 0 0 1em 0;
    padding: 0;
}

ul#archive li {
    border-bottom: #999 1px dotted;
    padding: .1em 0 .1em .5em;
    background: #fff;
}

ul#archive h2 {
    padding-top: 0.5em;
}

ul#archive li.alt {
    background: #f6f6f6;
}

.archiveposturl {
    display: block;
    color: #333;
}

ul#archive li span a {
    color: #e7e7e7;
    font-weight: bold;
    font-family: 'Titillium Web', sans-serif;
}

ul#archive li span.postlower {
    font-size: 85%;
}

ul#archive li span.postlower a {
    color: #07c;
    font-weight: normal;
    font-family: "Open Sans", Helvetica, Arial, sans-serif;
}

article ul {
    list-style-type: none;
}

article ul > li:before {
    content: "–";
    /* en dash */
    position: absolute;
    margin-left: -1.1em;
}

article ul#archive > li:before {
    list-style-type: none;
    content: none;
}

/* ul#archive li span {
       color: #000;
       font-size: 85%;
}



ul#archive li span a:hover {
       border-bottom: #bdbdbd 1px solid;
} */
/**
 * Syntax highlighting styles
 */
.highlight code, .highlight pre, .highlighter-rouge code, .highlighter-rouge pre {
    color: #fdddca;
    background-color: #2d2d43;
}

.highlight .hll {
    background-color: #222;
}

.highlight .err {
    color: #e37170;
    background-color: #3d3535;
}

.highlight .k {
    color: #f0dfaf;
}

.highlight .p {
    color: #41706f;
}

.highlight .cs {
    color: #cd0000;
    font-weight: 700;
}

.highlight .gd {
    color: #cd0000;
}

.highlight .ge {
    color: #ccc;
    font-style: italic;
}

.highlight .gr {
    color: red;
}

.highlight .go {
    color: gray;
}

.highlight .gs {
    color: #ccc;
    font-weight: 700;
}

.highlight .gu {
    color: purple;
    font-weight: 700;
}

.highlight .gt {
    color: #0040D0;
}

.highlight .kc {
    color: #dca3a3;
}

.highlight .kd {
    color: #ffff86;
}

.highlight .kn {
    color: #dfaf8f;
    font-weight: 700;
}

.highlight .kp {
    color: #cdcf99;
}

.highlight .kr {
    color: #cdcd00;
}

.highlight .ni {
    color: #c28182;
}

.highlight .ne {
    color: #c3bf9f;
    font-weight: 700;
}

.highlight .nn {
    color: #8fbede;
}

.highlight .vi {
    color: #ffffc7;
}

.highlight .c, .preview-zenburn .highlight .g, .preview-zenburn .highlight .cm, .preview-zenburn .highlight .cp, .preview-zenburn .highlight .c1 {
    color: #7f9f7f;
}

.highlight .l, .preview-zenburn .highlight .x, .preview-zenburn .highlight .no, .preview-zenburn .highlight .nd, .preview-zenburn .highlight .nl, .preview-zenburn .highlight .nx, .preview-zenburn .highlight .py, .preview-zenburn .highlight .w {
    color: #ccc;
}

.highlight .n, .preview-zenburn .highlight .nv, .preview-zenburn .highlight .vg {
    color: #dcdccc;
}

.highlight .o, .preview-zenburn .highlight .ow {
    color: #f0efd0;
}

.highlight .gh, .preview-zenburn .highlight .gp {
    color: #dcdccc;
    font-weight: 700;
}

.highlight .gi, .preview-zenburn .highlight .kt {
    color: #00cd00;
}

.highlight .ld, .preview-zenburn .highlight .s, .preview-zenburn .highlight .sb, .preview-zenburn .highlight .sc, .preview-zenburn .highlight .sd, .preview-zenburn .highlight .s2, .preview-zenburn .highlight .se, .preview-zenburn .highlight .sh, .preview-zenburn .highlight .si, .preview-zenburn .highlight .sx, .preview-zenburn .highlight .sr, .preview-zenburn .highlight .s1, .preview-zenburn .highlight .ss {
    color: #cc9393;
}

.highlight .m, .preview-zenburn .highlight .mf, .preview-zenburn .highlight .mh, .preview-zenburn .highlight .mi, .preview-zenburn .highlight .mo, .preview-zenburn .highlight .il {
    color: #8cd0d3;
}

.highlight .na, .preview-zenburn .highlight .nt {
    color: #9ac39f;
}

.highlight .nb, .preview-zenburn .highlight .nc, .preview-zenburn .highlight .nf, .preview-zenburn .highlight .bp, .preview-zenburn .highlight .vc {
    color: #efef8f;
}

.wp-caption {
    background-color: #f3f3f3;
    text-align: center;
    border: 1px dotted #e7e7e7;
    font-size: 0.90em;
    overflow: hidden;
    position: relative;
}

.wp-caption dd {
    color: #000000;
    background-color: #f3f3f3;
    font-size: .9em;
    padding: 2px 8px 3px 8px;
    margin: 1px 0 0 0;
}

.wp-caption dt {
    margin: 0;
}

.wp-caption img {
    display: block;
    margin: 0;
    padding: 0;
    border: 0;
}

.alignleft, .alignright {
    margin-top: 4px;
}

.alignleft {
    float: left;
    margin-right: 20px;
    margin-bottom: 15px;
}

.alignright {
    float: right;
    margin-left: 20px;
    margin-bottom: 15px;
}

.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.color-code-key {
    color: magenta;
}

.color-code-comment {
    color: #00cc99;
}

/**************************/
@media (max-width: 768px) {
    .list-profile-teaching {
        display: grid;
        grid-template-columns: 33% 33% 33%;
        width: 100%;
        justify-items: center;
    }

    .list-profile-professor {
        display: grid;
        grid-template-columns: 33% 33% 33%;
        width: 100%;
        justify-items: center;
    }
}

.professor {
    width: 25%;
    float: left;
}

@media (max-width: 768px) {
    .professor {
        width: 100%;
    }
}

.teaching {
    width: 75%;
    float: left;
}

@media (max-width: 768px) {
    .teaching {
        width: 100%;
    }
}

.h2-header{
	margin-top: 30px;
	letter-spacing: -1px;
	line-height: 1;
	font-family: 'Titillium Web', sans-serif;
	color: #500516; 
	
}